gi-gmodule-2.0.6: GModule bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GModule.Flags

Contents

- Flags
  - ModuleFlags

Description

Synopsis

- data ModuleFlags
  - = ModuleFlagsLazy
  - | ModuleFlagsLocal
  - | ModuleFlagsMask
  - | AnotherModuleFlags Int

# Flags

## ModuleFlags

data ModuleFlags Source #

Flags passed to `g_module_open()`. Note that these flags are not supported on all platforms.

Constructors

ModuleFlagsLazy | specifies that symbols are only resolved when needed. The default action is to bind all symbols when the module is loaded.
ModuleFlagsLocal | specifies that symbols in the module should not be added to the global name space. The default action on most platforms is to place symbols in the module in the global name space, which may cause conflicts with existing symbols.
ModuleFlagsMask | mask for all flags.
AnotherModuleFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ModuleFlags Source # |

Instance details

Defined in GI.GModule.Flags

Methods

succ :: ModuleFlags -> ModuleFlags Source #

pred :: ModuleFlags -> ModuleFlags Source #

toEnum :: Int -> ModuleFlags Source #

fromEnum :: ModuleFlags -> Int Source #

enumFrom :: ModuleFlags -> [ModuleFlags] Source #

enumFromThen :: ModuleFlags -> ModuleFlags -> [ModuleFlags] Source #

enumFromTo :: ModuleFlags -> ModuleFlags -> [ModuleFlags] Source #

enumFromThenTo :: ModuleFlags -> ModuleFlags -> ModuleFlags -> [ModuleFlags] Source #

Show ModuleFlags Source # |
Instance details Defined in GI.GModule.Flags Methods showsPrec :: Int -> ModuleFlags -> ShowS Source # show :: ModuleFlags -> String Source # showList :: [ModuleFlags] -> ShowS Source #
Eq ModuleFlags Source # |
Instance details Defined in GI.GModule.Flags Methods (==) :: ModuleFlags -> ModuleFlags -> Bool Source # (/=) :: ModuleFlags -> ModuleFlags -> Bool Source #
Ord ModuleFlags Source # |

Instance details

Defined in GI.GModule.Flags

Methods

compare :: ModuleFlags -> ModuleFlags -> Ordering Source #

(<) :: ModuleFlags -> ModuleFlags -> Bool Source #

(<=) :: ModuleFlags -> ModuleFlags -> Bool Source #

(>) :: ModuleFlags -> ModuleFlags -> Bool Source #

(>=) :: ModuleFlags -> ModuleFlags -> Bool Source #

max :: ModuleFlags -> ModuleFlags -> ModuleFlags Source #

min :: ModuleFlags -> ModuleFlags -> ModuleFlags Source #

IsGFlag ModuleFlags Source # |
Instance details Defined in GI.GModule.Flags